cascading.flow.planner.iso.expression

## Class OrElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.OrElementExpression

All Implemented Interfaces:
  Expression<FlowElement>

Direct Known Subclasses:
  BoundariesElementExpression, GroupOrMergeElementExpression, TapOrBoundaryElementExpression

    public class OrElementExpression
    extends ElementExpression

### Constructor Summary

Constructors
Constructor and Description
`OrElementExpression(ElementCapture capture, ElementExpression... matchers)`
`OrElementExpression(ElementExpression... matchers)`
`OrElementExpression(java.lang.String name, ElementCapture capture, ElementExpression... matchers)`
`OrElementExpression(java.lang.String name, ElementExpression... matchers)`

### Method Summary

Methods
`boolean` `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`
`static ElementExpression` `or(ElementCapture capture, ElementExpression... elementMatchers)`
`static ElementExpression` `or(ElementExpression... elementMatchers)`
`static ElementExpression` `or(java.lang.String name, ElementCapture capture, ElementExpression... elementMatchers)`
`static ElementExpression` `or(java.lang.String name, ElementExpression... elementMatchers)`
`java.lang.String` `toString()`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OrElementExpression

    public OrElementExpression(java.lang.String name,
                       ElementExpression... matchers)

#### OrElementExpression

    public OrElementExpression(java.lang.String name,
                       ElementCapture capture,
                       ElementExpression... matchers)

#### OrElementExpression

    public OrElementExpression(ElementExpression... matchers)

#### OrElementExpression

    public OrElementExpression(ElementCapture capture,
                       ElementExpression... matchers)

### Method Detail

#### or

    public static ElementExpression or(java.lang.String name,
                       ElementExpression... elementMatchers)

#### or

    public static ElementExpression or(java.lang.String name,
                       ElementCapture capture,
                       ElementExpression... elementMatchers)

#### or

    public static ElementExpression or(ElementExpression... elementMatchers)

#### or

    public static ElementExpression or(ElementCapture capture,
                       ElementExpression... elementMatchers)

#### applies

    public boolean applies(PlannerContext plannerContext,
                  ElementGraph elementGraph,
                  FlowElement flowElement)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ElementExpression`